<div *ngIf="noContent">
  <mat-list-item class="text-center">There are no driver for this league</mat-list-item>
</div>
<div [hidden]="noContent">
  <mat-table [dataSource]="dataSource" matSort matSortActive="points" matSortDirection="desc">

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
      <mat-cell *matCellDef="let driver"> {{ driver.name }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="team">
      <mat-header-cell *matHeaderCellDef>Team</mat-header-cell>
      <mat-cell *matCellDef="let driver"> {{ driver.teamName }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="points">
      <mat-header-cell *matHeaderCellDef>Points</mat-header-cell>
      <mat-cell *matCellDef="let driver"> {{ driver.points }} </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
  <mat-paginator #paginator [pageSizeOptions]="[]" [pageSize]="3"></mat-paginator>
  <ng-container *ngIf="!loaded">
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </ng-container>
</div>
